Altimax\Apidae\Core\Entity\SitraAdminShortcode:
  type: entity
  table: sitra_admin_shortcode
  repositoryClass: Altimax\Apidae\Core\Repository\SitraAdminShortcode
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    label:
      type: string
      nullable: false
      length: 50
      fixed: false
      comment: ''
    type:
      type: string
      nullable: false
      length: 100
      fixed: false
    code:
      type: string
      nullable: false
      length: 100
      fixed: false
    params:
      type: text
      nullable: true
      length: null
      fixed: false
    picto:
      type: string
      nullable: true
      length: 255
      fixed: false
    preview:
      type: text
      nullable: true
      length: null
      fixed: false
    description:
      type: text
      nullable: true
      length: null
      fixed: false
    feature:
      type: boolean
      nullable: false
      options:
        default: '0'
      comment: ''
      column: is_feature
    display:
      type: boolean
      nullable: false
      options:
        default: '1'
      comment: ''
  lifecycleCallbacks: {  }